/****** FILE: app/client/dist/styles/blocks/default/text-block.css *****/
/*!**************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[1].use[2]!./node_modules/sass-loader/dist/cjs/index.js??ruleSet[1].rules[1].use[3]!./app/client/source/styles/blocks/default/text-block.scss ***!
  \**************************************************************************************************************************************************************************************************************************************************************************************/
/* --------------------------------------
Import variables and mixins
-------------------------------------- */
/* -----------------------------------------------------------
Font Families
----------------------------------------------------------- */
/* -----------------------------------------------------------
Grab the paragraph size and line height CSS variables
----------------------------------------------------------- */
/* -----------------------------------------------------------
Heading font-family map
----------------------------------------------------------- */
/* -----------------------------------------------------------
Font weight map
----------------------------------------------------------- */
/* -----------------------------------------------------------
Text transform
----------------------------------------------------------- */
/* -----------------------------------------------------------
Paragraph Text
----------------------------------------------------------- */
/* ----------------------------------------------------------------
Default Grid Settings
---------------------------------------------------------------- */
/* ----------------------------------------------------------------
Grid Helpers
---------------------------------------------------------------- */
/* --------------------------------------
Hero Block
-------------------------------------- */
.default-text {
  opacity: 0;
  color: var(--_primary-colour-contrast, var(--body-background-colour-contrast, #000));
  background-color: var(--_primary-colour, transparent);
}
.default-text.in-view {
  opacity: 1;
  transition: opacity 1s ease;
}
.default-text__wrap {
  --_wrapper-max-width: calc(var(--content-width, 154rem) * var(--base-size-multiplier, 1));
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding-left: var(--row-padding, 0);
  padding-right: var(--row-padding, 0);
  max-width: var(--_wrapper-max-width);
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: stretch;
}
.default-text__content {
  display: block;
  width: 100%;
  padding-left: calc(var(--_row-gap, var(--default-gap, 3rem)) / 2);
  padding-right: calc(var(--_row-gap, var(--default-gap, 3rem)) / 2);
  margin-bottom: 0;
}
.default-text__content > :last-child {
  margin-bottom: 0;
}
.default-text__content > :last-child :last-child {
  margin-bottom: 0;
}
.default-text__heading {
  font-weight: var(--_font-weight-max, 700);
}

/****** FILE: app/client/dist/styles/blocks/default/image-block.css *****/
/*!***************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[1].use[2]!./node_modules/sass-loader/dist/cjs/index.js??ruleSet[1].rules[1].use[3]!./app/client/source/styles/blocks/default/image-block.scss ***!
  \***************************************************************************************************************************************************************************************************************************************************************************************/
/* --------------------------------------
Import variables and mixins
-------------------------------------- */
/* -----------------------------------------------------------
Font Families
----------------------------------------------------------- */
/* -----------------------------------------------------------
Grab the paragraph size and line height CSS variables
----------------------------------------------------------- */
/* -----------------------------------------------------------
Heading font-family map
----------------------------------------------------------- */
/* -----------------------------------------------------------
Font weight map
----------------------------------------------------------- */
/* -----------------------------------------------------------
Text transform
----------------------------------------------------------- */
/* -----------------------------------------------------------
Paragraph Text
----------------------------------------------------------- */
/* ----------------------------------------------------------------
Default Grid Settings
---------------------------------------------------------------- */
/* ----------------------------------------------------------------
Grid Helpers
---------------------------------------------------------------- */
/* --------------------------------------
Image Block
-------------------------------------- */
.default-image.in-view .default-image__main {
  opacity: 1;
  transition: opacity 1s ease;
}
.default-image__wrap {
  --_wrapper-max-width: calc(var(--content-width, 154rem) * var(--base-size-multiplier, 1));
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding-left: var(--row-padding, 0);
  padding-right: var(--row-padding, 0);
  max-width: var(--_wrapper-max-width);
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: stretch;
}
@media only screen and (max-width: 967px) {
  .default-image__wrap {
    flex-direction: column-reverse;
  }
}
.default-image__main {
  display: block;
  width: 100%;
  padding-left: calc(var(--_row-gap, var(--default-gap, 3rem)) / 2);
  padding-right: calc(var(--_row-gap, var(--default-gap, 3rem)) / 2);
  margin-bottom: 0;
  opacity: 0;
}
.default-image__heading {
  --_breakpoint-muliplier: .5;
  --_line-height: var(--heading-2-line-height, 1.4);
  --_margin-bottom: calc(var(--heading-2-line-height, 1) * .7em);
  display: block;
  line-height: var(--_line-height);
  margin-bottom: var(--_margin-bottom);
}
.default-image__heading:not([class*=font-family--]) {
  --_font-weight-max: var(--font-weight-headings-bold, 700);
  font-family: var(--font-family-headings, var(--font-family-body, system-ui));
}
.default-image__heading {
  --_font-size: var(--heading-2-size);
  font-size: clamp(var(--paragraph-size, 1.6rem) * 1.5, var(--_breakpoint-muliplier, 1) * var(--_font-size, 6rem) * var(--base-size-multiplier, 1), var(--_font-size, 6rem));
}
@media only screen and (min-width: 768px) {
  .default-image__heading {
    --_breakpoint-muliplier: .65;
  }
}
@media only screen and (min-width: 1024px) {
  .default-image__heading {
    --_breakpoint-muliplier: .9;
  }
}
@media only screen and (min-width: 1920px) {
  .default-image__heading {
    --_breakpoint-muliplier: 1;
  }
}
.default-image__heading * {
  font-size: inherit;
  font-family: inherit;
  line-height: inherit;
  margin-bottom: 0;
  --_font-weight-max: var(--font-weight-headings-bold, 700);
}
.default-image__heading:has(.h0), .default-image__heading:has(.h1), .default-image__heading:has(.h2), .default-image__heading:has(.h3), .default-image__heading:has(.h4), .default-image__heading:has(.h5), .default-image__heading:has(.h6) {
  margin-bottom: 0;
}
.default-image__heading {
  font-weight: var(--_font-weight-max, 700);
}
@media only screen and (max-width: 967px) {
  .default-image__heading {
    margin-top: var(--paragraph-size, 1.6rem);
  }
}
.default-image__media {
  width: 100%;
  position: relative;
}
.default-image__media:not(:last-child) {
  margin-bottom: var(--_row-gap, var(--default-gap, 3rem));
}
.default-image__media img {
  display: block;
  width: 100%;
  height: auto;
  border-radius: 1rem;
}

